Bug 1956598 - autoconf: bump nvr for upgrade path
Summary: autoconf: bump nvr for upgrade path
Keywords:
Status: NEW
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: autoconf
Version: CentOS Stream
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: beta
: ---
Assignee: Patrik Novotný
QA Contact: RHEL CS Apps Subsystem QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-04 03:32 UTC by Carl George 🤠
Modified: 2021-05-06 14:38 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description Carl George 🤠 2021-05-04 03:32:46 UTC
Description of problem:
Once a RHEL 8 brew build is added to errata, it is exported to git.centos.org and built for CentOS Stream 8.  In bug 1831941, it was requested to backport the --runstatedir flag to autoconf.  Here is a timeline of what happened next.

2021-01-19 implemented in autoconf-2.69-28.el8 [0]
2021-01-20 added to advisory RHBA-2021:68474 [1]
2021-01-21 exported to the c8s branch on git.centos.org [2]
2021-01-21 built for CentOS Stream 8 [3]
2021-01-27 shipped for CentOS Stream 8 in compose CentOS-Stream-8-20210127.n.0 [4]
2021-03-19 reverted in dist-git [5]
2021-03-22 dropped from advisory RHBA-2021:68474 [6]

We are now in the situation where CentOS shipped an NVR to users that will not go into RHEL.  I've taken care of pulling that NVR from our mirrors, but users who've already installed that package need an upgrade path solution to get back onto the correct package.  Please bump the release to 29 to accomplish this.


Version-Release number of selected component (if applicable):
autoconf-2.69-28.el8


Additional info:
[0] https://src.osci.redhat.com/rpms/autoconf/c/754eacc8a1387e13118c16abf79badab03f03aed?branch=rhel-8.4.0
[1] bug 1831941 comment 24
[2] https://git.centos.org/rpms/autoconf/c/7cc2a549e605854ab0e1d88b1756ff021f2aa3b1?branch=c8s
[3] https://koji.mbox.centos.org/koji/buildinfo?buildID=15946
[4] https://composes.centos.org/CentOS-Stream-8-20210127.n.0/
[5] https://src.osci.redhat.com/rpms/autoconf/c/8bb5d63999790fceadfdb90d17d3b6329c87fa55?branch=rhel-8.4.0
[6] bug 1831941 comment 52


Note You need to log in before you can comment on or make changes to this bug.